<? 
//샵 기본모듈 포함
include_once $_SERVER[DOCUMENT_ROOT] . "/module/category/category.lib.php";
include_once $_SERVER[DOCUMENT_ROOT] . "/module/shop/shop.lib.php";
include_once $_SERVER[DOCUMENT_ROOT] . "/module/mail/mail.lib.php";
include_once $_SERVER[DOCUMENT_ROOT] . "/module/member/member.lib.php"; 
include_once $_SERVER[DOCUMENT_ROOT] . "/module/point/point.lib.php";
include_once $_SERVER[DOCUMENT_ROOT] . "/module/one_to_one/one_to_one.lib.php";
include_once $_SERVER[DOCUMENT_ROOT] . "/module/shop/review/review.lib.php";

//표시할 페이지
if($_REQUEST[goPage]){
	switch($_REQUEST[goPage]){
		case("GoodDetail"):	
			$incPage = "shop/good_detail.php";
			break;
		case("Cart"):	
			$incPage = "shop/cart.php";
			break;
		case("GoodList"):	
			$incPage = "shop/good_list.php";
			break;
		case("OptList"):	
			$incPage = "shop/good_opt.php";
			break;
		case("Search"):	
			$incPage = "shop/good_search.php";
			break;
		case("Order"):	
			$incPage = "shop/order.php";
			break;
		case("OrderMobile"):	
			$incPage = "shop/order_mobile.php";
			break;
		case("Thanks"):	
			$incPage = "shop/thanks.php";
			break;
		case("PayCard"):	
			$incPage = "shop/pay_card.php";
			break;
		//여기서부터 마이페이지
		case("MyPage"):	
			$incPage = "shop/mypage/mypage.php";
			break;
		case("Point"):	
			$incPage = "shop/mypage/point.php";
			$incMenu = "mypage_menu.php";
			$sNum="3";
			break;
		case("OrderList"):	
			$incPage = "shop/mypage/order_list.php";
			$incMenu = "mypage_menu.php";
			$sNum="1";
			break;
		case("OrderInfo"):	
			$incPage = "shop/mypage/order_info.php";
			$incMenu = "mypage_menu.php";
			$sNum="1";
			break;
		case("WishList"):	
			$incPage = "shop/mypage/wish_list.php";
			$incMenu = "mypage_menu.php";
			$sNum="2";
			break;
		case("MyQna"):	
			$incPage = "one_to_one/one_to_one.php";
			$incMenu = "mypage_menu.php";
			$sNum="4";
			break;
		case("MyQnaWrite"):	
			$incPage = "one_to_one/one_to_one_form.php";
			$incMenu = "mypage_menu.php";
			$sNum="4";
			break;
		case("MyQnaView"):	
			$incPage = "one_to_one/one_to_one_view.php";
			$incMenu = "mypage_menu.php";
			$sNum="4";
			break;
		case("MyReview"):	
			$incPage = "shop/review/my_review.php";
			$incMenu = "mypage_menu.php";
			$sNum="5";
			break;
		case("MyReviewWrite"):	
			$incPage = "shop/review/form.php";
			$incMenu = "mypage_menu.php";
			$sNum="5";
			break;
		case("MyReviewView"):	
			$incPage = "shop/review/my_review_view.php";
			$incMenu = "mypage_menu.php";
			$sNum="5";
			break;
		default: 
			$incPage = "";
			$incMenu = "mypage_menu.php";
			break;
	}
?>
<?}?>
<div id="container">
	<?if($sNum!=""){?><div class="contain"><?}?>
		<?
		if(($_SESSION[$_SITE["DOMAIN"]]["MEMBER"]["ID"] || $_SESSION[$_SITE["DOMAIN"]]["GUEST"]["NAME"]) && $sNum!=""){
			include $_SERVER[DOCUMENT_ROOT] . "/include/lnb_mypage.php"; 
		} else { 
			//include $_SERVER[DOCUMENT_ROOT] . "/include/left_member.php"; 
		}?>
		<div id="contentArea" class="<?=$sNum!=""?"contentArea":""?>">	
			<?
			if($incPage !="" && file_exists($_SERVER[DOCUMENT_ROOT] . "/module/".$incPage)){
				include($_SERVER[DOCUMENT_ROOT] . "/module/".$incPage);
			}
			?>
		</div>
	<?if($sNum!=""){?></div><?}?>
</div>